CREATE TABLE jv_stakeholders_b (
    STAKEHOLDER_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    STAKEHOLDER_SHORT_NAME           VARCHAR2(120)    NOT NULL,
    JOINT_VENTURE_ID                 NUMBER(18, 0)    NOT NULL,
    PARTY_ID                         NUMBER(18, 0),
    STAKEHOLDER_STATUS_CODE          VARCHAR2(256),
    INVOICING_PARTNER_ID             NUMBER(18, 0),
    COST_CENTER_SEGMENT_VALUE        VARCHAR2(100),
    INTERNAL_STAKEHOLDER_FLAG        VARCHAR2(4)  ,
    STAKEHOLDER_TYPE                 VARCHAR2(256),
    DISTRIBUTION_ONLY_FLAG           VARCHAR2(4)  ,
    PARTNER_CURRENCY_CODE            VARCHAR2(60) ,
    CLASSIFICATION_CODE              VARCHAR2(120)    NOT NULL,
    JIB_TEMPLATE_NAME                VARCHAR2(400),
    JIB_REPORT_OUTPUT_FORMAT_CODE    VARCHAR2(120),
    LOCATION_ID                      NUMBER       ,
    OVERRIDE_JV_NETTING_FLAG         VARCHAR2(4)      NOT NULL,
    INVOICE_NETTING_ENABLED_FLAG     VARCHAR2(4)  ,
    INCLUDE_COST_REVERSAL_FLAG       VARCHAR2(4)  ,
    INCLUDE_REVENUE_REVERSAL_FLAG    VARCHAR2(4)  ,
    NETTING_DOCUMENT_OPTION_CODE     VARCHAR2(120),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    STAKEHOLDER_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    STAKEHOLDER_SHORT_NAME           VARCHAR2(120)    NOT NULL,
    JOINT_VENTURE_ID                 NUMBER(18, 0)    NOT NULL,
    PARTY_ID                         NUMBER(18, 0),
    STAKEHOLDER_STATUS_CODE          VARCHAR2(256),
    INVOICING_PARTNER_ID             NUMBER(18, 0),
    COST_CENTER_SEGMENT_VALUE        VARCHAR2(100),
    INTERNAL_STAKEHOLDER_FLAG        VARCHAR2(4)  ,
    STAKEHOLDER_TYPE                 VARCHAR2(256),
    DISTRIBUTION_ONLY_FLAG           VARCHAR2(4)  ,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    PARTNER_CURRENCY_CODE            VARCHAR2(60) ,
    CLASSIFICATION_CODE              VARCHAR2(120)    NOT NULL,
    JIB_TEMPLATE_NAME                VARCHAR2(400),
    JIB_REPORT_OUTPUT_FORMAT_CODE    VARCHAR2(120),
    LOCATION_ID                      NUMBER       ,
    OVERRIDE_JV_NETTING_FLAG         VARCHAR2(4)      NOT NULL,
    INVOICE_NETTING_ENABLED_FLAG     VARCHAR2(4)  ,
    INCLUDE_COST_REVERSAL_FLAG       VARCHAR2(4)  ,
    INCLUDE_REVENUE_REVERSAL_FLAG    VARCHAR2(4)  ,
    NETTING_DOCUMENT_OPTION_CODE     VARCHAR2(120),
    CONSTRAINT pk_jv_stakeholders_b PRIMARY KEY (STAKEHOLDER_ID, STAKEHOLDER_ID)
);
